petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGASMGetSubdomains

Gets the subdomains supported on this processor for the additive Schwarz preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMGetSubdomains(PC pc,PetscInt *n,IS *iis[],IS *ois[])

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameters

| n | - the number of subdomains for this processor (default value = 1) Many br
| iis | - the index sets that define the inner subdomains (without overlap) supported on this processor (can be NULL) Many br
| ois | - the index sets that define the outer subdomains (with overlap) supported on this processor (can be NULL) Many br

### Notes

The user is responsible for destroying the ISs and freeing the returned arrays. Many brThe IS numbering is in the parallel, global numbering of the vector. Many br

Many br

### Keywords

PC, GASM, get, subdomains, additive Schwarz

### See Also

PCGASMSetOverlap(), PCGASMGetSubKSP(), PCGASMCreateSubdomains2D(),
PCGASMSetSubdomains(), PCGASMGetSubmatrices() Many br

Level:advanced
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages